Description: Correct spelling errors
Origin: vendor
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=54910
Author: Ansgar Burchardt <ansgar@43-1.org>
Reviewed-By: Xavier Guimard <yadd@debian.org>
Last-Update: 2018-08-30

--- a/SessionX.pm
+++ b/SessionX.pm
@@ -500,15 +500,15 @@
 
 =head1 NAME
 
-Apache::SessionX  - An extented persistence framework for session data
+Apache::SessionX  - An extended persistence framework for session data
 
 =head1 SYNOPSIS
 
 =head1 DESCRIPTION
 
 Apache::SessionX extents Apache::Session. 
-It was initialy written to use Apache::Session from inside of HTML::Embperl, 
-but is seems to be usefull outside of Embperl as well, so here is it as standalone module.
+It was initially written to use Apache::Session from inside of HTML::Embperl,
+but is seems to be useful outside of Embperl as well, so here is it as standalone module.
 
 Apache::Session is a persistence framework which is particularly useful
 for tracking session data between httpd requests.  Apache::Session is
@@ -541,7 +541,7 @@
 
 =item lazy
 
-By Specifing this attribute, you tell Apache::Session to not do any
+By specifying this attribute, you tell Apache::Session to not do any
 access to the object store, until the first read or write access to
 the tied hash. Otherwise the B<tie> function will make sure the hash
 exist or creates a new one.
@@ -622,7 +622,7 @@
     DataSource => 'dbi:Oracle:db' 
     };
 
-NOTE: Apache::SessionX will C<require> the nessecary additional perl modules for you.
+NOTE: Apache::SessionX will C<require> the necessary additional perl modules for you.
 
 
 =head2 Addtional Methods
@@ -631,7 +631,7 @@
 
 =item setid ($id)
 
-Set the session id for futher accesses.
+Set the session id for further accesses.
 
 =item setidfrom ($string)
 
@@ -663,7 +663,7 @@
 
 =over 4
 
-=item See documentation of Apache::Session for more informations about it's internals
+=item See documentation of Apache::Session for more information about it's internals
 
 =item Apache::SessionX::Generate::MD5
 
